Get user
GET
/users/{userId}
const url = 'https://myshop.com/shopgate/v1/users/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://myshop.com/shopgate/v1/users/example \ --header 'Authorization: Bearer <token>'Returns the basic user info such as name, addresses, …
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
Responses
Section titled “Responses”User object containing basic user data such as ID, email address, name, addresses, …
Media typeapplication/json
User
object
id
required
Unique identifier for the user.
string
mail
required
Users email address.
string
firstName
required
User’s first name.
string
lastName
required
User’s last name.
string
gender
User’s gender.
string
birthday
User’s birthday.
string format: date
phone
User’s phone number.
string
addresses
Array<object>
object
id
required
string
type
required
string
firstName
required
string
lastName
required
string
company
required
string
street1
required
string
street2
string
city
required
string
state
Shorthand form of the state.
string
phone
string
isDefault
Indicates if the current address is the default address of the given type.
boolean
alias
The user can specify an alias for the address.
string
zipcode
Zipcode of the address
string
country
Country of the address
string
Example
{ "id": "501f8dcb-b4e6-48bc-b815-3d2a2bc6deae", "mail": "john.doe@shopgate.com", "firstName": "John", "lastName": "Doe", "gender": "m", "birthday": "1976-09-23", "phone": "800-490-2467", "addresses": [ { "alias": "Janes home address", "id": "de7566f0-15f1-4836-bf74-621ef07f96a5", "type": "shipping", "firstName": "Jane", "lastName": "Doe", "street1": "123 Main St", "zipcode": "12345", "city": "Anytown", "state": "WA", "country": "United States", "isDefault": true }, { "alias": "Work address", "id": "f1916760-a990-49af-96c4-34fd3101f50c", "type": "invoice", "firstName": "John", "lastName": "Doe", "street1": "2222 Rio Grande", "street2": "Suite 300", "zipcode": "78705", "city": "Austin", "state": "TX", "country": "United States", "isDefault": true } ]}Media typeapplication/json
object
message
string
name
string
Example
{ "message": "Invalid token: access token is invalid", "name": "invalid_token"}Media typeapplication/json
object
message
string
Example
{ "message": "Not found"}
